﻿@inject IStringLocalizer StringLocalizer;
@{
    Layout = "~/Pages/Shared/_Layout.cshtml";

    Guid accountId = Guid.Parse(ViewContext.RouteData.Values["AccountID"].ToString());

    bool isGeneralData = Context.Request.Path.Equals($"/User/{accountId}", StringComparison.InvariantCultureIgnoreCase);
    bool isConquerAccount = Context.Request.Path.StartsWithSegments("/User/ConquerAccounts", StringComparison.InvariantCultureIgnoreCase); ;
    bool isUserBans = Context.Request.Path.StartsWithSegments("/User/Bans", StringComparison.InvariantCultureIgnoreCase);
    bool isShopHistory = Context.Request.Path.StartsWithSegments("/User/ShopHistory", StringComparison.InvariantCultureIgnoreCase);
    bool isTradeHistory = Context.Request.Path.StartsWithSegments("/User/TradeHistory", StringComparison.InvariantCultureIgnoreCase);
}

<ul class="nav nav-tabs justify-content-center mb-3">
    <li class="nav-item">
        <a class="nav-link@(isGeneralData ? " active" : "")" asp-area="User" asp-page="/Index" asp-route-AccountID="@accountId" role="tab" aria-selected="@(isGeneralData ? "true" : "false")">@StringLocalizer.GetString("GeneralData")</a>
    </li>
    <li class="nav-item">
        <a class="nav-link@(isConquerAccount ? " active" : "")" asp-area="User" asp-page="/ConquerAccounts" asp-route-AccountID="@accountId" role="tab" aria-selected="@(isConquerAccount ? "true" : "false")">@StringLocalizer.GetString("ConquerAccounts")</a>
    </li>
    <li class="nav-item">
        <a class="nav-link@(isUserBans ? " active" : "")" asp-area="User" asp-page="/Bans" asp-route-AccountID="@accountId" role="tab" aria-selected="@(isUserBans ? "true" : "false")">@StringLocalizer.GetString("Bans")</a>
    </li>
    <li class="nav-item">
        <a class="nav-link@(isShopHistory ? " active" : "")" asp-area="User" asp-page="/ShopHistory" asp-route-AccountID="@accountId" role="tab" aria-selected="@(isShopHistory ? "true" : "false")">@StringLocalizer.GetString("ShopHistory")</a>
    </li>
    <li class="nav-item">
        <a class="nav-link@(isTradeHistory ? " active" : "")" asp-area="User" asp-page="/TradeHistory" asp-route-AccountID="@accountId" role="tab" aria-selected="@(isTradeHistory ? "true" : "false")">@StringLocalizer.GetString("TradeHistory")</a>
    </li>
</ul>

@RenderBody()

@section Styles {
    @RenderSection("Styles", false)
}

@section Scripts {
    @RenderSection("Scripts", false)
}